Author Topic: Upgrade auf 2.12.2 verursacht Fehler "zip_read() expects parameter 1 ...  (Read 524 times)

Offline joey19

  • Posts: 97
Hallo liebe WB-Gemeinde,

ich wollte jetzt die beiden "kleineren" Seiten hochziehen auf die neueste Version und dafür natürlich die tolle Möglichkeit mit dem gezippten Paket und der unzip.php nutzen.

Versionen:  PHP-Version: 7.3.7 mit WebsiteBaker-Version: 2.12.1 -r188 / Hosting Ionos (1&1) bzw.
 PHP-Version: 7.0.33 mit WebsiteBaker-Version: 2.12.1 -r188 / Hosting Alfahosting

Bei beiden Seiten das selbe Problem:
- Dateien hochgeladen auf Webspace
- unzip.php aufgerufen
- Fehlermeldungen: Warning: zip_read() expects parameter 1 to be resource, int given in xxx/unzip.php on line 74 und
Warning: zip_close() expects parameter 1 to be resource, int given in xxx/unzip.php on line 110
- Zip-Dateien sind danach nicht mehr vorhanden, allerdings auch kein Upgradescript.

Woran kann das hängen? Übersehe ich etwas? Da ich auch noch die größere Seite hochziehen will, würde ich es gerne erst mal hier zum Laufen bekommen. Ich habe sowohl die unzip.php auf der Downloadseite wie auf der wohl neueren Version im Addon-Responsibility versucht, bei beiden identisches Ergebnis.

Besten Dank im Voraus für eure Antworten und Lieben Gruß
Joey

Offline dbs

  • Betatester
  • **
  • Posts: 8027
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Hi, vielleicht ist die Datei kaputt.
Teste mal die angehängte bitte. Auch umbenennen vorher.

Offline joey19

  • Posts: 97
Danke für die schnelle Antwort  :-D. Ich konnte es gerade probieren, habe vorher auch Cache gelöscht.

Jetzt kommen zwei andere Fehlermeldungen, danach positive Vollzugsmeldung. Allerdings: Keine neue Versionsnummer. Wenn ich Upgrade über Info-Button starte, kickt er mich raus.

Hier die Meldungen:
Warning: zip_read() expects parameter 1 to be resource, int given in /homepages/18/d13450196/htdocs/wsc35543783/unzip.php on line 69
Warning: zip_close() expects parameter 1 to be resource, int given in /homepages/18/d13450196/htdocs/wsc35543783/unzip.php on line 105
Start unzip at 2019-07-31 - 18:03:34
    All files from WebsiteBaker-2_12_2.zip were successfully unpacked
        File and directory rights completely set
        Installation archive WebsiteBaker-2_12_2.zip successfully deleted
Unzip file successfully deleted

Settings
Unpack empty folders - yes
Unpack empty files - yes
Execution time 0.073 sec
End unzip at 2019-07-31 - 18:03:34

Offline dbs

  • Betatester
  • **
  • Posts: 8027
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Werde es weitergeben.
Du bist admin mit ID 1, also der admin, der WB installiert hat?

Offline joey19

  • Posts: 97
Ich habe es selbst entdeckt: Offenbar gab es gestern beim Download der 2.12.2-Zip ein Problem. Als ich gerade versuchte sie zu öffnen kam die Meldung, dass es kein gültiges Zip-Archiv sei. Gerade noch einmal runtergeladen und schon klappt es. Hätte ich auch selbst schon mal vorher probieren sollen - wie sage ich immer: Man wird alt wie eine Kuh und lernt immer noch dazu  :-D.

Post ist also erledigt :-)

Offline dbs

  • Betatester
  • **
  • Posts: 8027
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
 ;D (Y)

Offline joey19

  • Posts: 97
Alle drei Updates durch ... die Sicherungen von DB und Homepage dauern immer wesentlich länger. Das flutscht wirklich toll mit der Upgraderoutine.

Und das nächste Mal schaue ich gleich selbst - wobei ich bei der größeren Seite doch ein paar Motzer hatte bezüglich der unzip.php - die gleiche wie bei den anderen beiden Seiten:
Die erste Zeile Warning: chmod(): Operation not permitted in /xxx/unzip.php on line 151 kam mehrere Male, zum Schluss dann noch die Meldung Warning: chmod(): Operation not permitted in /xxx/unzip.php on line 147.

Upgrade lief aber durch und auch keine Auffälligkeiten bei erstem Check festzustellen.

Offline dbs

  • Betatester
  • **
  • Posts: 8027
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Nur um Missverständnisse zu vermeiden, hier ging es immer nur um die unzip.php.
Das Upgrade erfolgt erst danach. Das geht fast genauso schnell wie das unzippen, da hast du recht.

 

postern-length